aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-modern-perl/APKBUILD
diff options
context:
space:
mode:
authorKiyoshi Aman <aphrael@alpinelinux.org>2011-07-22 07:56:03 -0400
committerKiyoshi Aman <aphrael@alpinelinux.org>2011-07-22 07:56:03 -0400
commit7ef7ebfa544fadd74a97a8749d523eeee0bd7035 (patch)
tree668801d0e63b0789b1c50deff79b67ce24f046c4 /testing/perl-modern-perl/APKBUILD
parentb5d2dbf168921ea54f0e5487b725a36cbb3fd32a (diff)
downloadaports-7ef7ebfa544fadd74a97a8749d523eeee0bd7035.tar.gz
aports-7ef7ebfa544fadd74a97a8749d523eeee0bd7035.tar.bz2
aports-7ef7ebfa544fadd74a97a8749d523eeee0bd7035.tar.xz
testing/perl-modern-perl: new aport
Diffstat (limited to 'testing/perl-modern-perl/APKBUILD')
-rw-r--r--testing/perl-modern-perl/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/perl-modern-perl/APKBUILD b/testing/perl-modern-perl/APKBUILD
new file mode 100644
index 0000000000..40ac9f297d
--- /dev/null
+++ b/testing/perl-modern-perl/APKBUILD
@@ -0,0 +1,38 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+# Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+pkgname=perl-modern-perl
+_pkgreal=Modern-Perl
+pkgver=1.03
+pkgrel=0
+pkgdesc="enable all of the features of Modern Perl with one command"
+url="http://search.cpan.org/dist/Modern-Perl/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="1338c29f86b109280f8c723ece49299e Modern-Perl-1.03.tar.gz"